#!/bin/bash

# Export current user ID and group ID to be used by docker-compose
export UID=$(id -u)
export GID=$(id -g)

# Make sure audio directory exists
mkdir -p ./src/audio

# Stop any existing container
docker-compose down

# Build and start the container
docker-compose up -d

# Show logs
docker-compose logs -f
