import { Guild } from 'discord.js';
import { DiscordGatewayAdapterCreator } from '@discordjs/voice';

/**
 * Creates an adapter for Discord voice connections.
 * This handles the compatibility between Discord.js and @discordjs/voice
 */
export function createDiscordJsAdapter(guild: Guild): DiscordGatewayAdapterCreator {
  // @ts-ignore: The types between discord.js and @discordjs/voice are not fully compatible
  return guild.voiceAdapterCreator;
}
